//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SMCHILD.H

#if !defined(__SFX_SMCHILD_H)
#define __SFX_SMCHILD_H

#if !defined(__OWL_MDICHILD_H)
  #include <owl\mdichild.h>
#endif

class _OWLCLASS TSFXMDIClient;

//  class TSFXMDIChild

class _OWLCLASS TSFXMDIChild : virtual public TMDIChild
{
  public:
	TSFXMDIChild(TMDIClient&     parent,
					 const char far* title = 0,
					 TWindow*        clientWnd = new TWindow(0, 0, 0),
					 BOOL            sfxFrame = FALSE,
					 BOOL            sfxCaption = FALSE,
					 BOOL            shrinkToClient = FALSE,
				    TModule*        module = 0);

  protected:
	void              SetupWindow();

	//	If SFXFrame, then sets the color the edit control to light gray.
	HBRUSH            EvCtlColor(HDC, HWND hWndChild, UINT ctlType);

	//	call SFXDefWindowProc() instead of DefWindowProc()
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXMDIChild);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXMDIChild, 1);
};

#endif  // __SFX_SMCHILD_H
